## kmime 25.08.3+p24.04+vunstable+git20251204.0149

=== debian/changelog ===
kmime (25.08.3+p24.04+vunstable+git20251204.0149-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 01:49:21 +0000

kmime (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:42:23 +1000
