=== debian/changelog ===
kmime (25.08.3+p24.04+vunstable+git20251206.0312-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 03:12:20 +0000
