## kmime 25.12.0

=== debian/changelog ===
kmime (25.12.0-0zneon+24.04+noble+release+build31) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 02:30:17 +0000

kmime (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:38:44 +1000
