## kmime 25.12.0+p24.04+vstable+git20260102.2215

=== debian/changelog ===
kmime (25.12.0+p24.04+vstable+git20260102.2215-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 02 Jan 2026 22:15:20 +0000
