=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.14.0~),
-               libkf6codecs-dev (>= 6.14.0~),
+               extra-cmake-modules (>= 6.18.0~),
+               libkf6codecs-dev (>= 6.18.0~),
                libkf6i18n-dev (>= 6.3.0~),
                qt6-base-dev (>= 6.7.0~),
                qt6-tools-dev (>= 6.6.0~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://invent.kde.org/pim/kmime
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmime
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmime.git
@@ -35,7 +35,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf6codecs-dev (>= 6.14.0~),
+Depends: libkf6codecs-dev (>= 6.18.0~),
          libkpim6mime6 (= ${binary:Version}),
          qt6-base-dev (>= 6.7.0~),
          ${misc:Depends},
