## kmime 25.12.1+p24.04+vstable+git20260106.1955

=== debian/changelog ===
kmime (25.12.1+p24.04+vstable+git20260106.1955-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 19:55:41 +0000

kmime (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:29:00 +1000
