## kmime 25.12.1+p24.04+vstable+git20260111.0149

=== debian/changelog ===
kmime (25.12.1+p24.04+vstable+git20260111.0149-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 11 Jan 2026 01:49:18 +0000
