## kmime 25.12.1+p24.04+vstable+git20260123.0148

=== debian/changelog ===
kmime (25.12.1+p24.04+vstable+git20260123.0148-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 23 Jan 2026 01:48:07 +0000
